Name:          nagios-plugins
Version:       2.4.9
Release:       1mamba
Summary:       Host/service/network monitoring program plugins for Nagios 
Group:         Network/Monitoring
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://nagios-plugins.org/
Source0:       https://github.com/nagios-plugins/nagios-plugins.git/release-%{version}/nagios-plugins-%{version}.tar.bz2
Patch0:        %{name}-1.4.16-undef_gets.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdbi-devel
BuildRequires: libmariadb-devel
BuildRequires: libnsl-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libperl
BuildRequires: libpostgresql-devel
BuildRequires: libradiusclient-ng-devel
BuildRequires: libxcrypt-devel
BuildRequires: perl-Crypt-X509
BuildRequires: perl-Net-SNMP
BuildRequires: perl-Text-Glob
BuildRequires: perl-TimeDate
BuildRequires: perl-devel
BuildRequires: perl-libwww
## AUTOBUILDREQ-END
BuildRequires: libnetsnmp-devel
BuildRequires: libradiusclient-ng-devel
BuildRequires: net-snmp-utils
Requires:      fping
Requires:      perl-Net-SNMP

%description
Nagios is a program that will monitor hosts and services on your network, and to email or page you when a problem arises or is resolved.
Nagios runs on a unix server as a background or daemon process, intermittently running checks on various services that you specify.
The actual service checks are performed by separate "plugin" programs which return the status of the checks to Nagios.
This package contains the basic plugins necessary for use with the Nagios package.

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure \
   PATH_TO_FPING=%{_bindir}/fping \
   --libdir=%{_libdir}/nagios/plugins \
   --libexecdir=%{_libdir}/nagios/plugins \
   --with-trusted-path="/usr/bin:/bin:/sbin:/usr/sbin" \
   --with-cgiurl=/nagios/cgi-bin \
   --disable-rpath \
   --with-ps-command="`which ps` -eo 's uid pid ppid vsz rss pcpu etime comm args'" \
   --with-ps-format='%s %d %d %d %d %d %f %s %s %n' \
   --with-ps-cols=10 \
   --enable-extra-opts \
   --with-ps-varlist='procstat,&procuid,&procpid,&procppid,&procvsz,&procrss,&procpcpu,procetime,procprog,&pos'
#  --with-ping-command="/bin/ping -n %%s -c %%d" \
#  --with-ping6-command="/usr/bin/ping6 -n -U -c %%d %%s" \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# remove unpackaged plugins
rm -f %{buildroot}/%{_libdir}/nagios/plugins/check_uptime

chmod 644 %{buildroot}/%{_libdir}/nagios/plugins/utils.pm
%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_libdir}/nagios/plugins
%{_libdir}/nagios/plugins/remove_perfdata
%attr(755,root,root) %{_libdir}/nagios/plugins/check_*
%{_libdir}/nagios/plugins/negate
%{_libdir}/nagios/plugins/urlize
%{_libdir}/nagios/plugins/utils.pm
%{_libdir}/nagios/plugins/utils.sh
%doc COPYING LEGAL
#CODING FAQ README REQUIREMENTS SUPPORT ChangeLog command.cfg

%changelog
* Tue Apr 09 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.9-1mamba
- update to 2.4.9

* Tue Dec 12 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.8-1mamba
- update to 2.4.8

* Sun Nov 19 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.7-2mamba
- fix requirements in /usr/sbin instead of /usr/bin

* Fri Nov 17 2023 Automatic Build System <autodist@mambasoft.it> 2.4.7-1mamba
- automatic version update by autodist

* Wed Aug 02 2023 Automatic Build System <autodist@mambasoft.it> 2.4.6-1mamba
- automatic version update by autodist

* Fri Jun 02 2023 Automatic Build System <autodist@mambasoft.it> 2.4.5-1mamba
- automatic version update by autodist

* Sat Apr 15 2023 Automatic Build System <autodist@mambasoft.it> 2.4.4-1mamba
- automatic version update by autodist

* Sat Jan 21 2023 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic version update by autodist

* Wed Nov 09 2022 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Wed Oct 26 2022 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Mon Dec 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-1mamba
- update to 2.4.0

* Sun May 03 2020 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic update by autodist

* Wed Nov 15 2017 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic update by autodist

* Sat Nov 12 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.2-2mamba
- x86_64: install plugins to %{_libdir}

* Sun Sep 11 2016 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic update by autodist

* Sun Dec 27 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.1-2mamba
- install plugins under %{_prefix}/lib instead of %{_libdir}

* Fri Aug 14 2015 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic update by autodist

* Sat Jul 12 2014 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic update by autodist

* Sat May 31 2014 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic update by autodist

* Sun May 11 2014 Davide Madrisan <davide.madrisan@gmail.com> 2.0.1-1mamba
- update to 2.0.1

* Wed May 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.16-2mamba
- don't require nagios to allow nrpe only installations

* Tue Oct 23 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.4.16-1mamba
- update to 1.4.16
- remove nrpe and nsca subpackages
- add some missing build requirements

* Fri Feb 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.14-1mamba
- update to 1.4.14

* Fri Mar 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.13-1mamba
- update to 1.4.13

* Fri Mar 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-6mamba
- automatic rebuild by autodist

* Fri Feb 10 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.1-5qilnx
- do not require perl-Net-SNMP

* Tue Jul 13 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.1-4qilnx
- added nrpe addon

* Mon Jul 12 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.1-3qilnx
- added nsca addon

* Fri Jul 09 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.1-2qilnx
- various fixes

* Mon Nov 24 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.1-1qilnx
- first build
